Zeitgeist.RemoteLog – zeitgeist-2.0 Reference Manual

# RemoteLog

## Object Hierarchy:

## Description:

protected interface RemoteLog : `Object`
Namespace: Zeitgeist
Package: zeitgeist-2.0

## Content:

### Properties:

- public abstract `string`[] extensions { owned get; }
- public abstract VersionStruct version { owned get; }
- public abstract `string` datapath { owned get; }

### Methods:

- public abstract async `Variant` delete_events (`uint32`[] event_ids, `Cancellable`? cancellable = null, `BusName`? sender = null) throws `Error`
- public abstract async `uint32`[] find_event_ids (`Variant` time_range, `Variant` event_templates, `uint` storage_state, `uint` num_events, `uint` result_type, `Cancellable`? cancellable = null, `BusName`? sender = null) throws `Error`
- public abstract async `Variant` find_events (`Variant` time_range, `Variant` event_templates, `uint` storage_state, `uint` num_events, `uint` result_type, `Cancellable`? cancellable = null, `BusName`? sender = null) throws `Error`
- public abstract async `string`[] find_related_uris (`Variant` time_range, `Variant` event_templates, `Variant` result_event_templates, `uint` storage_state, `uint` num_events, `uint` result_type, `Cancellable`? cancellable = null, `BusName`? sender = null) throws `Error`
- public abstract async `Variant` get_events (`uint32`[] event_ids, `Cancellable`? cancellable = null, `BusName`? sender = null) throws `Error`
- public abstract async `uint32`[] insert_events (`Variant` events, `Cancellable`? cancellable = null, `BusName`? sender = null) throws `Error`
- public abstract async void install_monitor (`ObjectPath` monitor_path, `Variant` time_range, `Variant` event_templates, `BusName`? owner = null) throws `Error`
- public abstract async void remove_monitor (`ObjectPath` monitor_path, `BusName`? owner = null) throws `Error`
- public abstract async void quit (`Cancellable`? cancellable = null) throws `Error`

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count